Subject: cl-sql-mysql and libmysqlclient library not found
From: Daniel Lakeland <[email-masked]>
To: [email-masked]
Date: Mon, 10 Apr 2006 11:14:23 -0700

package: cl-sql-mysql
version: 3.5.6-2
severity: serious

On amd64 using cl-sql-mysql 3.5.6-2 and libmysqlclient15off version
5.0.19-3 I can't load cl-sql-mysql under sbcl 0.9.9 using:

(asdf:operate 'asdf:load-op 'clsql-mysql)

It complains that it can't find the libmysqlclient library (or several
alternatives that it looks for such as libmysql.o and soforth).

It seems to be looking for /usr/lib/libmysqlclient.so but all I have
in my /usr/lib/ directory is

dlakelan@mooch64:~$ ls /usr/lib/libmysqlclient*
/usr/lib/libmysqlclient_r.so.15      /usr/lib/libmysqlclient.so.15
/usr/lib/libmysqlclient_r.so.15.0.0  /usr/lib/libmysqlclient.so.15.0.0

I suspect this is related to the recent change to libmysqlclient15off
but really don't know enough to be sure.

-- 
Daniel Lakeland
[email-masked]
http://www.street-artists.org/~dlakelan